<?php

add_action( 'customize_register', 'dusky_blog_customizer_theme_info' );

function dusky_blog_customizer_theme_info( $wp_customize ) {
	
    $wp_customize->add_section( 'dusky_blog_theme_info_section' , array(
		'title'       => esc_html__( '❂ Theme Info' , 'dusky-blog' ),
		'priority' => 2
	) );
    

	$wp_customize->add_setting( 'theme_info', array(
		'default' => '',
		'sanitize_callback' => 'wp_kses_post',
	) );
    
    $theme_info = '';
	
	$theme_info .= '<span class="sticky_info_row wp-clearfix"><label class="row-element">' . esc_html__( 'Theme Details', 'dusky-blog' ) . ': </label><a class="button alignright" href="' . esc_url( 'https://graphthemes.com/dusky-blog/' ) . '" target="_blank">' . esc_html__( 'Click Here', 'dusky-blog' ) . '</a></span><hr>';

	$theme_info .= '<span class="sticky_info_row wp-clearfix"><label class="row-element">' . esc_html__( 'How to use', 'dusky-blog' ) . ': </label><a class="button alignright" href="' . esc_url( 'https://graphthemes.com/docs/' ) . '" target="_blank">' . esc_html__( 'Click Here', 'dusky-blog' ) . '</a></span><hr>';
	$theme_info .= '<span class="sticky_info_row wp-clearfix"><label class="row-element">' . esc_html__( 'View Demo', 'dusky-blog' ) . ': </label><a class="button alignright" href="' . esc_url( 'https://graphthemes.com/preview/?product_id=dusky-blog' ) . '" target="_blank">' . esc_html__( 'Click Here', 'dusky-blog' ) . '</a></span><hr>';
	$theme_info .= '<span class="sticky_info_row wp-clearfix"><label class="row-element">' . esc_html__( 'Support Forum', 'dusky-blog' ) . ': </label><a class="button alignright" href="' . esc_url( 'https://wordpress.org/support/theme/dusky-blog' ) . '" target="_blank">' . esc_html__( 'Click Here', 'dusky-blog' ) . '</a></span><hr>';

	$wp_customize->add_control( new Dusky_Blog_Custom_Text( $wp_customize ,'theme_info',array(
		'section' => 'dusky_blog_theme_info_section',
		'label' => $theme_info
	) ) );

}